# ClusterOperator

> **ClusterOperator** = `object`

Defined in: [types.ts:45](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L45)

Node operator data

## Properties

| Property            | Type     | Description                           | Defined in                                                                                                            |
| ------------------- | -------- | ------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| `address`           | `string` | The operator address.                 | [types.ts:47](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L47) |
| `enr?`              | `string` | The operator ethereum node record.    | [types.ts:50](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L50) |
| `fork_version?`     | `string` | The cluster fork\_version.            | [types.ts:53](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L53) |
| `version?`          | `string` | The cluster version.                  | [types.ts:56](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L56) |
| `enr_signature?`    | `string` | The operator enr signature.           | [types.ts:59](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L59) |
| `config_signature?` | `string` | The operator configuration signature. | [types.ts:62](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L62) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.obol.org/sdk/type-aliases/clusteroperator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
